
package com.yh.saas.plugin.operation.enums;

import java.util.HashMap;
import java.util.Map;


/**
 * 租户状态枚举
 */

public enum TenantStatusEnums {

    TO_BE_REVIEWED("1", "待核实", "TO_BE_REVIEWED"),
    ON_TRIAL("2", "试用中", "ON_TRIAL"),
    BEING_USED("3", "使用中", "BEING_USED"),
    OUT_OF_SERVICE("4", "停用", "OUT_OF_SERVICE");

    private String code;

    private String valueZh;

    private String valueEn;


    private static final Map<String, TenantStatusEnums> CODE_MAP = new HashMap<>();

    static {
        for (TenantStatusEnums parameterCompanyEnums : values()) {
            CODE_MAP.put(parameterCompanyEnums.getCode(), parameterCompanyEnums);
        }
    }

    TenantStatusEnums(String code, String valueZh, String valueEn) {
        this.code = code;
        this.valueZh = valueZh;
        this.valueEn = valueEn;
    }


    public static TenantStatusEnums fromCode(String code) {
        return CODE_MAP.get(code);
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValueZh() {
        return valueZh;
    }

    public void setValueZh(String valueZh) {
        this.valueZh = valueZh;
    }

    public String getValueEn() {
        return valueEn;
    }

    public void setValueEn(String valueEn) {
        this.valueEn = valueEn;
    }
}
